ghc-7.0.3: The GHC API

RegClass

Description

An architecture independent description of a register's class.

Synopsis

- data RegClass
  - = RcInteger
  - | RcFloat
  - | RcDouble
  - | RcDoubleSSE

# Documentation

data RegClass

The class of a register. Used in the register allocator. We treat all registers in a class as being interchangable.

Constructors

RcInteger |
RcFloat |
RcDouble |
RcDoubleSSE |

Instances

Eq RegClass |
Outputable RegClass |
Uniquable RegClass |